Why?

Currently the new Mac operating system, Catalina, does not support 32-bit applications.

Impact

WPI Information Technology (IT) recommends not upgrading to MacOs Catalina. IT-managed Macs will be prevented from upgrading pending further investigation and development.

Action Needed

Additional information is available from Apple.

Details

Incompatibilities discovered thus far include, but are not limited to:

  • Microsoft Office
  • Adobe
  • Solstice

If you are currently using MacOS Mojave, you may receive notices regarding 32-bit apps in use: "(Name of App) is not optimized for your Mac and needs to be updated. This app will not work with future versions of macOS and needs to be updated to improve compatibility. Contact the developer for more information." For notices of this type, other concerns about older software, or incompatibility risks of upgrading to Catalina at this time, please contact IT to consult.